import { LitElement } from 'lit';
type HeadingTag = 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
type GenericOption = {
    value: string;
    label?: string;
    icon?: string;
};
type HeadingOption = {
    value: HeadingTag;
    label?: string;
    icon?: string;
};
export declare class NileRteSelect extends LitElement {
    protected createRenderRoot(): this;
    type: string;
    options: string;
    optionsObj?: Array<GenericOption | HeadingOption>;
    label: string;
    disabled: boolean;
    private selectedValue;
    private mapAlignIcon;
    private get parsedOptions();
    private ensureDefault;
    private onSelect;
    connectedCallback(): void;
    private injectLocalStyles;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'nile-rte-select': NileRteSelect;
    }
}
export {};
